<template>
  <div id="app">
    <addcomment v-bind:add="addcomment" v-bind:show="printlist" v-on:input="addcomment"/>
    <printlist v-bind:list="list"/>
  </div>
</template>

<script>
import addcomment from './components/addcomment'
import printlist from './components/printlist'

export default {
  name: 'App',
  components: {
    addcomment, printlist
  },
  props: {
    // createcomment: {type:Object, default: function() {
    //   return {username: '', input: ''}
    // }},
    // list: {type:Array, default: function() {
    //   return []
    // }}
  },
  data : function() {
    return {
      list: []
    }
  },
  created() {
    this.printlist()
  },
  // updated() {
  //   this.printlist()
  // },
  methods: {
    // next: DB에 저장된 게시글 리스트 호출 자동 업데이트 ==> 라이프사이클 이용
    printlist: function() {
      // console.log(":::ok:::")
      let url = "http://localhost:3000/update"

      fetch(url, {
        method: 'GET',
        body: JSON.stringify(),
        headers: {
          'Content-Type': 'application/json'
        },
        credentials: 'include'
      }).then(res => res.json())
      .then(res => this.list = res)
    },
    //addcomment 컴포넌트의 input/text창의 value를 인자로 입력한다.
    addcomment: function(value) {
      let url = "http://localhost:3000/addcomment"
      // let value = {
      //   username: this.createcomment.username,
      //   input: this.createcomment.input
      // }

      fetch(url, {
        method: 'POST',
        body: JSON.stringify(value),
        headers: {
          // 'Access-Control-Allow-Origin': '*',
          'Content-Type': 'application/json'
        },
        credentials: 'include'
      })
    },
    addreply: function(value) {
      let url = "http://localhost:3000/addreply"

      fetch(url, {
        method: 'POST',
        body: JSON.stringify(value),
        headers: {
          'Content-Type': 'application/json'
        },
        credentials: 'include'
      })
    }
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
